org.springframework.test.util

## Class MatcherAssertionErrors

- java.lang.Object
- - org.springframework.test.util.MatcherAssertionErrors

    public abstract class MatcherAssertionErrors
    extends Object

A replacement of `MatcherAssert` that removes the need to depend on "hamcrest-all" when using Hamcrest 1.1 and also maintains backward compatibility with Hamcrest 1.1 (also embedded in JUnit 4.4 through 4.8).

Since:
  3.2
Author:
  Rossen Stoyanchev

### Method Summary

Methods
`static <T> void` `assertThat(String reason, T actual, org.hamcrest.Matcher<T> matcher)` Asserts that the given matcher matches the actual value.
`static <T> void` `assertThat(T actual, org.hamcrest.Matcher<T> matcher)` Asserts that the given matcher matches the actual value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### assertThat

    public static <T> void assertThat(T actual,
                      org.hamcrest.Matcher<T> matcher)

Asserts that the given matcher matches the actual value.

Type Parameters:
  `T` - the static type accepted by the matcher
Parameters:
  `actual` - the value to match against
  `matcher` - the matcher

#### assertThat

    public static <T> void assertThat(String reason,
                      T actual,
                      org.hamcrest.Matcher<T> matcher)

Asserts that the given matcher matches the actual value.

Type Parameters:
  `T` - the static type accepted by the matcher
Parameters:
  `reason` - additional information about the error
  `actual` - the value to match against
  `matcher` - the matcher